Protección

Get a consent

Returns a single consent arrangement by id.

GET
/consents/{consent_id}

Returns a single consent arrangement by id.

Authorization

bearerAuth
AuthorizationBearer <token>

A sender-constrained access token from the token endpoint, presented over mutual TLS with the bound client certificate.

In: header

Path Parameters

Response Body

application/json

application/json

curl -X GET "https://example.com/consents/string"
{  "consent_id": "cnst_8H2kQ9",  "arrangement_id": "arr_5f9c2a1b",  "status": "active",  "app_name": "Your Company",  "customer_id": "cust_31ab",  "scopes": [    "openid",    "bank:accounts.basic:read",    "bank:transactions:read"  ],  "account_ids": [    "acc_001",    "acc_002"  ],  "granted_at": "2026-05-01T09:30:00Z",  "expires_at": "2026-07-30T09:30:00Z",  "updated_at": "2026-05-01T09:30:00Z",  "revoked_at": null}
{  "code": "string",  "message": "string"}